Migration: PowerBuilder 6.5.1 to PB 8.0.1

hi all, 

I am working on migrating the existing PB6.5.1 application to PB8.0.1 Build 
9056 on Win 2000 SP1 system. The migration of the application went fine 
without any problems. After the migration is successful I tried to full 
rebuild the application(target as in PB8), it results in application being 
terminated(GPF). But if i choose Incremental rebuild, it the build works 
fine. The same happens when I try migration on Win 95 system too.

Does anybody out here came across such a problem during migration? Thanks 
in advance for your help/advice.

Mahesh

 
 

0
Mahesh
4/2/2002 9:43:56 PM
sybase.powerbuilder.general 62418 articles. 19 followers. Follow

3 Replies
844 Views

Similar Articles

[PageSpeed] 42

Try optimizing all of the pbls.

Neil


<Mahesh> wrote in message
news:D615D1E322EF46B2007760FC85256B8F.0077612C85256B8F@webforums...
> hi all,
>
> I am working on migrating the existing PB6.5.1 application to PB8.0.1
Build
> 9056 on Win 2000 SP1 system. The migration of the application went fine
> without any problems. After the migration is successful I tried to full
> rebuild the application(target as in PB8), it results in application being
> terminated(GPF). But if i choose Incremental rebuild, it the build works
> fine. The same happens when I try migration on Win 95 system too.
>
> Does anybody out here came across such a problem during migration? Thanks
> in advance for your help/advice.
>
> Mahesh
>
>
>
>


0
Neil
4/2/2002 10:34:26 PM
On second thought.... since you can't get an initial full rebuild, you may
have to optimize them in PB6 and then re-migrate.

I had problems with some pbls.  Some had "ghosts"; source without
pseudo-code, or pseudo-code without source, etc.  I think PB6 is much more
tolerant than PB8.

Neil


<Mahesh> wrote in message
news:D615D1E322EF46B2007760FC85256B8F.0077612C85256B8F@webforums...
> hi all,
>
> I am working on migrating the existing PB6.5.1 application to PB8.0.1
Build
> 9056 on Win 2000 SP1 system. The migration of the application went fine
> without any problems. After the migration is successful I tried to full
> rebuild the application(target as in PB8), it results in application being
> terminated(GPF). But if i choose Incremental rebuild, it the build works
> fine. The same happens when I try migration on Win 95 system too.
>
> Does anybody out here came across such a problem during migration? Thanks
> in advance for your help/advice.
>
> Mahesh
>
>
>
>


0
Neil
4/2/2002 10:40:08 PM
On Tue, 2 Apr 2002 17:40:08 -0500, "Neil Rothschild"
<nrothschild1@home.com> wrote:

>On second thought.... since you can't get an initial full rebuild, you may
>have to optimize them in PB6 and then re-migrate.
>
>I had problems with some pbls.  Some had "ghosts"; source without
>pseudo-code, or pseudo-code without source, etc.  I think PB6 is much more
>tolerant than PB8.
>
>Neil

That should do it, but you can also try creating blank PBLs with the
same names in a separate directory and copying the objects.  Then swap
and do a full rebuild.

  Boris Gasin [TeamSybase]
  mailto:bgasin@dynamictechgroup.com
    ___ 
  ____   _      
 _____    _     
  ____   _      
    ___ 


  Dynamic Technology Group, Inc.
  http://www.dynamictechgroup.com/
0
Boris
4/3/2002 6:36:55 AM
Reply:

Similar Artilces:

[MIGRATION QUESTION] PB 6.5.1 vs PB 8.0.1
Hi everyone, i have a question : We have developped a startegic application for one of our customer. We've developped it using PB 6.5.1 (on Windows NT 4.0) we plan to migrate this application to PB 8.0.1. Does anyone have heard about particuliar problems about PB 8 ? What is your opinion about this new version ? It seems to be faster... Is it stable enough w/ OCXs, etc ? Thanks in advance for any answer ! best regards, Guillaume MAISON In Sybase.Public.EAServer.PowerBuilder I answered another question regarding PB4 to PB8. See that posting for further detai...

Powerbuilder 8.0
Hello, Is there a link out there somewhere which shows the benefits of converting to PB8 from PB6.5.1 if you aren't using any of the EAServer portions of PB, etc.? Just pure Powerbuilder 8.0.1. Would like to know if PB8 is supposed to be faster across all Windows OS (95, 98 1st/2nd edition, 2000 Pro/ME, XP) and/or if it has been "approved" to work on XP, 2000, where 6.5.1 is not, etc. Thanks, Mike 1) PB8 is supported, PB 6.5.1 is EOL. 2) PB8 IDE quite different (I think better) 3) Faster? You will need to do a benchmark in *YOUR* environment 4) W2K is suppor...

Migrate PB 6.5.1, PFC and Cornerstone 6.5 to Powerbuilder 7.
Hello! I am now working with PB 6.5.1, PFC 6.5 and Cornerstone 6.5. What is best way to go: Migrate whole application including PFC*.PBL 6.5 to 7 or replace PFC*.PBL from 6.5 with PFC*.PBL 7.0 or ...? Any documents, links or readings about how to eliminate Cornerstone and only use PFC? Thank you for your help /Gunnar Nyberg Ericsson Sweden ---== Posted via the PFCGuide Web Newsreader ==--- http://www.pfcguide.com/_newsgroups/group_list.asp Why would you want to do that? You do have the source to Cornerstone, right? Or did they distribute their framework only as PBDs? ...

SOS: Sync with Oracle 8.1.6.1.0 using 8.1.6.1.0 ODBC Driver
Help! If any customer has successfully replicated bi-directionally from ASA7 to Oracle 8i (8.1.6) using the Oracle 8.1.6 Oracle ODBC Driver, we would appreciate any insight you may have concerning the small number of steps involved in implementing replication. I may be contacted directly at (206) 933-4956. Martin Douglas Senior Data Architect e-Commerce Group Food Services of America Please always specify the version and MORE importantly the BUILD number of ASA you are using with each post. If you are having problems with this Oracle driver, some of our customers hav...

Concurrent perl 5.6.0, 5.6.1, 5.8.0, and 5.8.0threaded
Hi, So, I'd like to have multiple versions of perl installed on my system, for testing stuff, poking around, etc. It's not really that difficult, actually - you just arrange that they have different @INC directories (or that they overlap in the ways you want them to), and you make /usr/bin/perl point as a symlink to whichever version you want to use regularly (probably 5.6.1). Here's what I think I'd have, creating a few fink packages to manage things for me: * /usr/bin/perl5.6.0 - Apple's perl, unmodified, @INC is: /System/Library/Perl/darwin ...

PB 6.5.1, Connect to Oracle 8.1.6.3 with PBO7360.DLL (v6.5.1.620)
Hey, I've got a developer that I can't get to connect to Oracle from within the PB dev environment (PB 6.5.1). tnsping is fine, all the other Oracle utilities as well, as non-Oracle programs can connect just fine, but just not PB. If you try to configure the database connection under Oracle7, @tns:sun3500 the returned error code is ORA-01019, and then ORA-12514 (if you try again). He has the Oracle 9.2.0.1.0 SQL-net client installed. I have the same SQL-Net on my machine, and it works fine. We've tried SQL-Net 8... as well no difference, and we've re-installed PB...

PB 6.5.1, Connect to Oracle 8.1.6.3 with PBO7360.DLL (v6.5.1.620)
Hey, I've got a developer that I can't get to connect to Oracle from within the PB dev environment (PB 6.5.1). tnsping is fine, all the other Oracle utilities as well, as non-Oracle programs can connect just fine, but just not PB. If you try to configure the database connection under Oracle7, @tns:sun3500 the returned error code is ORA-01019, and then ORA-12514 (if you try again). He has the Oracle 9.2.0.1.0 SQL-net client installed. I have the same SQL-Net on my machine, and it works fine. We've tried SQL-Net 8... as well no difference, and we've re-installed PB...

Errors using hotmail after latest major update: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.8) Gecko/20061025 Firefox/1.5.0.8
Name: William Green Email: wjgreen_at_hotmail.com Product: Firefox Summary: Errors using hotmail after latest major update: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.8) Gecko/20061025 Firefox/1.5.0.8 Comments: After I installed the latest update and rebooted, every time I go to open an email in hotmail.com (this does NOT occur in other email sites I use), I get the following three Alert messages that I have to click through to get to my email: [object XPCNativeWrapper [object HTMLBodyElement]] [object XPCNativeWrapper [object HTMLScriptElement]] TypeError: d...

Migration form PB 6.5.1 to PB 8.0
Platform : Windows 2000 5.00.2195 Current Scenario : Database : From SQL Anywhere 5.5.05 Front End : PowerBuilder - 6.5.1 The above configuration which is in production at our 40 locations and working absolutely fine We now migrated to : Database : From SQL Anywhere 5.5.05 to ASA - 7.0.3 Front End : PowerBuilder - 6.5.1 to PB 8.0 Now in this combination some DWs are giving error message : PowerBuilder supports only upto 16 decimals. The same DWs are working absolutely fine in old version. Any suggestions would be appreciated Thanks in advance -Amar...

PB 8.0 crashes during migration from PB 6.5.1
I'm attempting to upgrade our application from 6.5.1 to 8.0. I downloaded the evaluation version a couple of months ago and tested whether or not I would have problems and the migration went fine. Now the company has decided to go ahead with the upgrade to 8.0 and I'm getting Illegal Operation - "PB80 caused an invalid page fault in module PBVM80.DLL at 0177:10c74274." when migrating the objects in the library list using the wizard. I then downloaded the latest patches to upgrade our build from 6028 to 8004 and this is still occurring. Any ideas? TIA for yo...

Migrating from PowerBuilder 6.5 to PowerBuilder 8.0
We are doing a feasibility study of migrating a PFC based PowerBuilder Application from v6.5 to v8.0. This application is heavily PFC depended and also includes many custom based core layers. If anybody has done (PFC based) powerbuilder migration prior kindly suggest the best approach on the following. 1) How to successfully migrate from PowerBuilder 6.5/PFC - PowerBuilder 8.0/PFC. 2) How to fix/resolve post migration errors etc... . Any help or suggestion will be appreciated. Thanks and Regards Vamsi ---== Posted via the PFCGuide Web Newsreader ==--- http://www.pfcguide....

PowerBuilder 6.5 to Powerbuilder 9.0.1
Hello, We are having some issues while trying to upgrade from PB 6.5 to PB 9.0.1 The database is Sybase .I was hoping if you could post in any usergroups Background: There is a window w_child inherited from w_parent.The datasource of this dw_1 is a Stored Procedure that runs in Sybase ASE 12.5 In ue_1 of w_parent there is a dw_1.retrieve(arg1,arg2). ue_1 of w_child extends ue_1of w_parent. In ue_1 of w_child the code checks the condition dw_1.rowcount() >0 based on which it decides on the execution flow. Issue: While running the application, no rows are getting re...

Powerbuilder Upgrade Issues (PB 6.5 to PB 9.0.1)
Hello, We are having some issues while trying to upgrade from PB 6.5 to PB 9.0.1 The database is Sybase .I was hoping if you could post in any usergroups Background: There is a window w_child inherited from w_parent.The datasource of this dw_1 is a Stored Procedure that runs in Sybase ASE 12.5 In ue_1 of w_parent there is a dw_1.retrieve(arg1,arg2). ue_1 of w_child extends ue_1of w_parent. In ue_1 of w_child the code checks the condition dw_1.rowcount() >0 based on which it decides on the execution flow. Issue: While running the application, no rows are getting re...

selecting ? selecting of 1., 2. , 3., 4., 5., 6. is slow (1-3 second) then selecting of 7.,8.,9. go on is so fast (0.1 second or more fast).. how can i get fast for selecting of 1., 2. , 3., 4., 5., 6
hello friends selecting of 1., 2. , 3., 4.(sometime even 5., 6.) is slow (1-3 second) then selecting of 7.,8.,9.(sometimes 5., 6.,) go on is so fast (0.1 second or more fast).. how can i get fast for selecting of 1., 2. , 3., 4., 5., 6. is slow ?? recordcount is almost 1.050.000.. i do selecting 1.2.3. go on same page with treeview1.. treeview1 in masterpage.master.. gridview1 and datasource1 are in pagelist.aspx (it connets datasource1)..productnumber is primarykey for index.. kategori, kategori1 and kategori2, price, datemin are index from keys/index in table1 (right clicking menu)....

kdesvn 1.0.5 or 1.0.6 for KDE 3.5 subversion 1.6.3?
Installed: Code: -------------------- Subversion 1.6.3-1.1 KDE 3.5.10 -------------------- I upgraded subversion to 1.6.3, and wanted to make sure I had the latest kdesvn for KDE 3.5 and subversion 1.6.3. I went to kdesvn support site but it wasn't clear if 1.0.5 was sufficient for subversion 1.6, so I downloaded kdesvn 1.0.6 and built it myself (previously 1.0.5 had come from opensuse). Everything looked okay, but... When I click on the Help | Info about kdesvn part I see: Code: -------------------- Built with subversion library 1.4.4 Running ...

PB GPFs while migrating an app from PB 5.0.2 to PB 8.0.1
Hi, I am trying to migrate an application from PB 5.0.02 to PB 8.0.01. The application runs perfectly under PB 5.0.02. While migrating the app, I get the following message: Pb80 has caused an error in PBVM80.DLL. Then PB crashes. Any suggestions? Moreover, does anyone know of some white paper with some advices on migrating apps? Thx Luca Before migrating, you should run the Migration Assistant (File / New / Tools). Make any suggested changes with PB5 before migrating. Of course, backup, backup, backup. Then, optimize all the PBLs and do a Full Rebuild (Library Pain...

superreview granted: [Bug 362139] bump SeaMonkey versions to 1.0.7/1.1 on 1.8.0/1.8 branches, localeVersion to 1.8.1 on 1.8 branch : [Attachment 246921] 1.8.0 patch: SeaMonkey version -> 1.0.7
neil@parkwaycc.co.uk <neil@httl.net> has granted Robert Kaiser <kairo@kairo.at>'s request for superreview: Bug 362139: bump SeaMonkey versions to 1.0.7/1.1 on 1.8.0/1.8 branches, localeVersion to 1.8.1 on 1.8 branch https://bugzilla.mozilla.org/show_bug.cgi?id=362139 Attachment 246921: 1.8.0 patch: SeaMonkey version -> 1.0.7 https://bugzilla.mozilla.org/attachment.cgi?id=246921&action=edit ...

superreview requested: [Bug 362139] bump SeaMonkey versions to 1.0.7/1.1 on 1.8.0/1.8 branches, localeVersion to 1.8.1 on 1.8 branch : [Attachment 246921] 1.8.0 patch: SeaMonkey version -> 1.0.7
Robert Kaiser <kairo@kairo.at> has asked neil@parkwaycc.co.uk <neil@httl.net> for superreview: Bug 362139: bump SeaMonkey versions to 1.0.7/1.1 on 1.8.0/1.8 branches, localeVersion to 1.8.1 on 1.8 branch https://bugzilla.mozilla.org/show_bug.cgi?id=362139 Attachment 246921: 1.8.0 patch: SeaMonkey version -> 1.0.7 https://bugzilla.mozilla.org/attachment.cgi?id=246921&action=edit ------- Additional Comments from Robert Kaiser <kairo@kairo.at> This is the 1.8.0 branch patch for bumping SeaMonkey version to 1.0.7 ...

PB 6.5.1 and Oracle 8.05 & 8.1.5
I have PB 6.5.1 and want to connect to Oracle 8.05 onwards maybe upto 8.1.5. After seeing all the messages about this problem, I have downloaded the file Pbo8460.dll and copied this file into PowerSoft/shared directory. Changed the PBOR860.dll into PBOR860.old.dll. Added ",O84 Oracle 8.0.4" in the vendors line of the ini file. Restarted the powerbuilder. Try to create a new profile for Oralce 8 and I am getting an error "Unable to load the requested Powersoft database interface. Please make sure both the interface and client software are properly installed." Wh...

Migration from PB 5.0.04 to PB 6.5.1
Hi, Anybody have experience in migrating PB application from 5.0.04 to 6.5.1? Is it a easy stuff, or we need to modify a lot for the migration? For the installation of PB 6.5.1, do I need to install 6.0, then 6.5, and then 6.5.1, and then 6.5.1 EBF, or I can start in the mid-way? Is there any performance gain (or loss) for 6.5.1 vs 5.0? Thanks in advance ...Andrew 11Jan2000 The migration should be straightforward. Back up your PB 5.0.04 source, run the migration once and note the errors, warnings, etc... that are generated from the migration. Fix those in your backed ...

Oracle Client 8.1.5 and Powerbuilder 7.0.1
My application works fine in Powerbuilder 7.0.1 development with Oracle Client 8.1.5. However, after building the new executables and pbds, application fails during runtime when trying to connect to database using the user-defined transaction object. Is there any new drivers or dlls that I need to properly run with Oracle Client 8.1.5? If there is, where can I get it? Also, is there any issue that I should pay attention to when working with Oracle 8.1.5 (8i) and Powerbuilder 7? I am currently using the Oracle 8.0.4 driver (pbo8470.dll). Is net8 configured correctly on the clie...

Oracle Client 8.1.7
Hi all, I have a question about compatibility between PB native driver and oracle sql*net for different versions of Power Builder. We have 3 applications developed in 3 different versions of Power Builder: 5.00.0.0, 6.5.1.620 and 7.0.10047 All of them are using the Oracle Client 8.1.6 and accessing via PB Native Driver to Oracle. Although this is combination is not supported, the person in charge of the PB part tested this combination and decided to upgrade the oracle client from version 7.3.X to 8.1.6. So far it is working properly for us. Now, if it is decided to move to ora...

PB 6.5.1 and Oracle 8.05 & 8.1.5 #3
I have PB 6.5.1 and want to connect to Oracle 8.05 onwards maybe upto 8.1.5. After seeing all the messages about this problem, I have downloaded the file Pbo8460.dll and copied this file into PowerSoft/shared directory. Changed the PBOR860.dll into PBOR860.old.dll. Added ",O84 Oracle 8.0.4" in the vendors line of the ini file. Restarted the powerbuilder. Try to create a new profile for Oralce 8 and I am getting an error "Unable to load the requested Powersoft database interface. Please make sure both the interface and client software are properly installed." Wh...

PB 6.5.1 and Oracle 8.05 & 8.1.5 #2
I have PB 6.5.1 and want to connect to Oracle 8.05 onwards maybe upto 8.1.5. After seeing all the messages about this problem, I have downloaded the file Pbo8460.dll and copied this file into PowerSoft/shared directory. Changed the PBOR860.dll into PBOR860.old.dll. Added ",O84 Oracle 8.0.4" in the vendors line of the ini file. Restarted the powerbuilder. Try to create a new profile for Oralce 8 and I am getting an error "Unable to load the requested Powersoft database interface. Please make sure both the interface and client software are properly installed." Wh...

Web resources about - Migration: PowerBuilder 6.5.1 to PB 8.0.1 - sybase.powerbuilder.general

PowerBuilder - Wikipedia, the free encyclopedia
PowerBuilder is an integrated development environment owned by Sybase , a division of SAP . It has been in use since 1991, peaking around 1998 ...

Sybase PowerBuilder tool readied for Microsoft's .Net
... Win32 or newer style .Net development After several years of work, Sybase is ready to deliver on the final step in its plan to move PowerBuilder ...

Jim O'Neil (@jimoneil) on Twitter
Sign in Sign up To bring you Twitter, we and our partners use cookies on our and other websites. Cookies help personalize Twitter content, tailor ...

Open Directory - Computers: Programming: Languages
about dmoz - dmoz blog - report abuse/spam - help the entire directory only in Programming/Languages Description Top : Computers : Programming ...

The HP Booth Staff (Goons) Owe Me an Apology
... when you might need to use it. For instance, when I was in the WinRunner world there were plugins for driving terminal emulators and powerbuilder ...

Contact Us - Sybase Inc
Thanks for visiting the 主页 section of Sybase.com. Here you will find information about Contact Us. For more information about Business Intelligence, ...

热门搜索 - 我的异常网
... 我的异常网 » 热门搜索 sdpnet2 移动【A111】其它用户原因鉴权失败,是什么意思啊 http:// 192.168.1.102:22578 本网站服务器位于美国,受美国法律保护 MiniUI js 破解 http://192.168.1.103:8080/ powerbuilder ...

Mobile app security: Always keep the back door locked
The best way to keep mobile apps safe is to secure the services they connect to.

10 Tech Skills That Will Instantly Net You A $100,000+ Salary
... that let's developers run Java applications. Java is highly popular language for writing web apps and custom enterprise apps. No. 8: PowerBuilder ...

Top Ranked Articles
Top Ranked Articles - Free source code and tutorials for Software developers and Architects.; Updated: 23 Feb 2013

Resources last updated: 3/4/2016 12:33:36 PM